package com.kym.service;

import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.Cars;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 车辆表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-07-26
 */
public interface CarsService extends MPJBaseService<Cars> {

    List<Map<String, Object>> listUserCars(Long userId);

    boolean saveCar(Long userId, String plateNo);

    void setDefault(Long userId, Long carId);

    void deleteCar(Long userId, Long carId);
}
